Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453697 - ability to suexec not detected correctly causing mod_fcgid to fail
Summary: ability to suexec not detected correctly causing mod_fcgid to fail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 13
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-02 02:52 UTC by Jim Radford
Modified: 2010-08-04 14:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-04 14:05:17 UTC


Attachments (Terms of Use)
set suexec_enabled correctly allowing non-root use of mod_fcgid (deleted)
2008-07-02 02:52 UTC, Jim Radford
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Apache Bugzilla 42175 None None None Never

Description Jim Radford 2008-07-02 02:52:08 UTC
When httpd is run as a non-root user, suexec_enabled is incorrectly set because
apache doesn't notice that it cannot run the suexec binary.  This leads to
failures when running mod_fcgid which requires suexec_enabled to be set correctly.

The attached patch will only enable suexec if it can be run.

Comment 1 Jim Radford 2008-07-02 02:52:08 UTC
Created attachment 310752 [details]
set suexec_enabled correctly allowing non-root use of mod_fcgid

Comment 2 Joe Orton 2008-07-14 14:10:03 UTC
Thanks for the patch.  1.3 had a similar check IIRC but it was disabled since
there is no appropriate function in APR; I'll try to get this upstream too.

Comment 3 Jim Radford 2008-07-14 17:23:42 UTC
Thanks, I'd appreciate the help as I met with a solid Warnocking when I tried to
submit it myself.

  https://issues.apache.org/bugzilla/show_bug.cgi?id=42175

Comment 4 Bug Zapper 2008-11-26 02:29:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-11-18 12:35:34 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Jim Radford 2009-11-18 18:11:59 UTC
This bug just got some notice upstream for the first time.

  https://issues.apache.org/bugzilla/show_bug.cgi?id=42175

Comment 7 Bug Zapper 2010-03-15 12:01:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Joe Orton 2010-07-27 15:53:41 UTC
The patch for this has been in Fedora for a while, are you seeing this problem with Fedora 13?

Comment 9 Jim Radford 2010-07-27 17:06:27 UTC
This patch is still needed.  Without it mod_fcgid cannot be used when apache is run by a non-root user.

Comment 10 Joe Orton 2010-07-28 08:17:53 UTC
In case that was not clear: we are already applying this patch in the Fedora httpd package, and have been doing so for several years.

My question again: can you confirm whether you are seeing the problem described with mod_fcgid with the httpd package?

Comment 11 Jim Radford 2010-07-29 05:03:58 UTC
I commented out the patch from the latest Fedora 13 SRPM and rebuilt it.  I got these errors (over and over), so the patch is definitely still needed.

[Wed Jul 28 21:57:53 2010] [notice] SIGHUP received.  Attempting to restart
[Wed Jul 28 21:57:53 2010] [emerg] mod_fcgid: current user is not root while suexec is enabled, exiting now
[Wed Jul 28 21:57:53 2010] [notice] Apache/2.2.15 (Unix) mod_fcgid/2.3.5 configured -- resuming normal operations
[Wed Jul 28 21:57:53 2010] [error] mod_fcgid: fcgid process manager died, restarting the server

Comment 12 Joe Orton 2010-07-29 08:49:17 UTC
Jim, you are answering the wrong question.  I am asking: "does the current Fedora package work?".  You are answering the question "will the current Fedora package work if the patch is removed".  So, again: can you confirm that the current Fedora package works as desired?

Comment 13 Jim Radford 2010-07-29 17:00:56 UTC
The current package works.

Comment 14 Joe Orton 2010-08-04 14:05:27 UTC
Thanks a lot!


Note You need to log in before you can comment on or make changes to this bug.